System requirements

WordPress 3.4 or higher with older versions, 4.7 or higher from version 7.8.2 onward.
PHP 7 recommended for S3Media Stream 8 Enterprise.
S3 Amazon account with CloudFront service enabled for private streaming and web distribution links.

Updated: December 18, 2017